How to Handle WordFence Alerts: WordPress is Out of Date | Theme / Plugin Needs Upgrade

Do you keep getting emails about your WordPress website from WordFence saying “Wordfence Alert,” or “Critical Problems: Your WordPress version is out of date,” with a list of plugins or themes you need to update?

Don’t panic! It is completely normal for plugins and themes to require updates. But, they do need to be updated as soon as possible.

 From: WordPress <[email protected]>
 Date: January 13, 2017 at 10:19:58 AM EST
 To: [email protected]
 Subject: [Wordfence Alert] Problems found on YourCompany.com

 This email was sent from your website by the Wordfence plugin.
 Wordfence found the following new issues on your site
 Alert generated at Friday 13th of January 2017 at 03:19:58 PM
 Critical Problems:
 * Your WordPress version is out of date
 Warnings:
 * The Plugin "Contact Form 7" needs an upgrade
 * The Plugin "Gravity Forms" needs an upgrade
 * The Plugin "Yoast" needs an upgrade
 * The Plugin "JetPack" needs an upgrade
 * The Plugin "WooCommerce" needs an upgrade
 * The Theme "Avada" needs an upgrade
 * The Theme "Jupiter" needs an upgrade
 * The Theme "X Theme" needs an upgrade
 * The Theme "Divi" needs an upgrade
 * The Theme "Enfold" needs an upgrade
 * The Theme "Brooklyn" needs an upgrade
You may have seen an email like the one above – if so, don’t panic!

Why WordFence is Sending You Notices

The WordFence Plugin is a security plugin. Its main purpose is to protect your website from being hacked. One way WordFence protects your website from hackers is by sending you emails telling you that certain a plugin needs an upgrade, that a theme needs an update, or that WordPress itself needs an update.

 

Is This Bad?

Well, it can be. Out-of-date plugins are the leading cause of hacking (see the 2016 Hacked Website Trend Report). So if you do receive an email from WordFence letting you know that your plugins and themes need to be updated, do this as soon as possible.

 

Out-of-Date Plugins

A plugin is an additional piece of software you can add to your WordPress website that allows you to add new features or better your site’s functionality. WordFence is a very common plugin (along with others such as the Facebook Comment Plugin— that allows people to comment on your website from Facebook).

Below are the top twelve plugins that you might see needing updates in your email from WordFence:

  1. Contact Form
  2. Yoast WordPress SEO Plugin
  3. Jetpack
  4. All in One SEO Pack
  5. Revslider
  6. W3 Total Cache
  7. Js_composer
  8. WP Super Cache
  9. Woocommerce
  10. WP Pagenavi
  11. LayerSlider
  12. Yoast Google Analytics for WordPress

Every plugin will have updates as developers add new features, discover and fix security vulnerabilities, and keep up with changing standards. Updates allow you to better protect your website and keep it running smoothly.

 

Out-of-Date Themes

A theme is a template for your website. It is the framework that makes your site look and function the way it does. It is just as important to update WordPress themes as it is to update your plugins. The updates fix bugs in the template, improve the overall function of your site, add new features, help you meet the most current industry standard, and protect the security of your website. There are many WordPress Themes such as Divi, Twenty Fifteen, Twenty Fourteen, and Twenty Thirteen. Here is a list of ten of the most common WordPress themes that may need an update/upgrade:

  1. Avada
  2. X
  3. Enfold
  4. Bridge
  5. Salient
  6. BeTheme
  7. Jupiter
  8. The 7
  9. uDesign
  10. Divi

 

What Do I Do?

To sum everything up—update your plugins and themes as soon as possible. This website gives a great description on knowing when your plugins and themes need to be updated and how to update them.

 

We Can Help!

Is regularly updating your theme and plugins more time and effort than you want to spend? Well, we can take of your updates for you! Click here to see our support plans. By letting us do the updates for you, you can save time, stop receiving those emails, eliminate hacking risks, worry less, and make your life easier.

 

Above all, remember that updates are critical. The number one reason to always update your plugins and themes is so that your website doesn’t get hacked. And WordFence is a great tool that reminds you to complete those updates if you want to do them yourself.

Recommended Posts
Showing 2 comments
  • Joe Smith
    Reply

    Any way to turn off these update alerts?

    I don’t need them, and I get a stack of them from all the websites I manage.
    Sick of deleting them.

    • ThemeSupport
      Reply

      Yes, you can turn these off. In your WordPress admin go to the WordFence plugin, select Options > Advanced Settings – from there you can set which things will trigger alerts.

Leave a Comment